package com.mmc.pms.dao;

import com.mmc.pms.common.ResultBody;
import com.mmc.pms.entity.*;
import com.mmc.pms.model.dto.AdDTO;
import com.mmc.pms.model.qo.WareInfoQO;
import com.mmc.pms.model.vo.LeaseVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author small @Date 2023/5/15 14:35 @Version 1.0
 */
@Mapper
public interface WebDeviceDao {
  List<DistrictDO> listSecondDistrict();

  List<DeviceCategory> category();

  List<Brand> brand();

  List<Model> model();

  List<DeviceListDO> deviceList(
      Integer districtId, Integer categoryId, Integer brandId, Integer modelId);

  int update(LeaseVo param);

  InventoryDO findInventory(Integer inventoryId);

  List<WareInfoDO> detail(Integer id);

  int countListWareInfoPage(WareInfoQO param);

  List<WareInfoDO> listWareInfoPage(WareInfoQO param);

  WareInfoDO getWareInfoById(Integer id);

  WareDetailDO getWareDetailById(Integer id);

  List<AdDO> ad();
}
